#ifndef __AMB_OCCL_H_
#define __AMB_OCCL_H_

#include "Scene.h"

namespace ambenv {

  bool write_pv( Mesh * mesh, LogMessage & log, const std::string & path  );
  bool read_pv( Mesh * mesh, LogMessage & log, const std::string & path );

  void generate_pv( Scene & scene );
  void generate_pv_hemicube( Scene & scene );

}; /* namespace ambenv */

#endif /* __AMB_OCCL_H_ */
