#include "Light.h"

using namespace ambenv;

Light::Light()
{
}

Light::Light( const std::string & name,
	      const Vec3 & ambient, const Vec3 & diffuse, const Vec3 & specular )
  : m_ambient( ambient ), m_diffuse( diffuse ), m_specular( specular )
{  
  Nameable::setName( name );
}

Light::~Light()
{
}

Vec3 Light::attenuationCoeff() const
{
  return( Vec3( 1.0, 0.0, 0.0 ) );
}

Vec3 Light::getVectorFrom( const Vec3 & point ) const
{
  Vec3 result;
  return( result );
}

// -- get accessors
Vec3 Light::ambient() const
{
  return m_ambient;
}
Vec3 Light::diffuse() const
{
  return m_diffuse;
}
Vec3 Light::specular() const
{
  return m_specular;
}

// -- set accessors
void Light::ambient( const Vec3 & ambient )
{
  m_ambient = ambient;
}
void Light::diffuse( const Vec3 & diffuse )
{
  m_diffuse = diffuse;
}
void Light::specular( const Vec3 & specular )
{
  m_specular = specular;
}



















