#ifndef __NAMEABLE_H_
#define __NAMEABLE_H_

#include <string>

namespace ambenv {
  class Nameable {
  public:
    Nameable() { }
    Nameable( const std::string & name ) : m_name( name ) { }

    std::string getName() const { return( m_name ); }
    void setName( const std::string & name ) { m_name = name; }

  private:
    std::string m_name;
  }; 

}; /* namespace ambenv */

#endif /* __NAMEABLE_H_ */
