#include "Ray.h"

using namespace ambenv;

Ray::Ray() : m_origin( 0.0, 0.0, 0.0 ), m_direction( 0.0, 0.0, 0.0)
{
}

Ray::Ray( const Vec3 & origin, const Vec3 & direction ) : 
m_origin( origin ), m_direction( direction ) 
{
}

Vec3 Ray::evaluate( Real t ) const
{
  return( m_origin + (m_direction * t) );
}

Vec3 Ray::getOrigin() const
{
  return( m_origin );
}
Vec3 Ray::getDirection() const
{
  return( m_direction );
}
